ru.bitel.bgbilling.server.bean

## Class Constants

- java.lang.Object
- - ru.bitel.bgbilling.common.bean.BGBaseConstants
  - - ru.bitel.bgbilling.server.bean.Constants

-     public class Constants
      extends BGBaseConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `DEFAULT_API_ENABLE`
    `static boolean` | `DEFAULT_WEB_API_ENABLE`
    `static java.lang.String` | `JOB_SCHEDULER_NAME_CONTRACT_PERIOD`
    `static java.lang.String` | `JOB_SCHEDULER_NAME_RESERVE`
    `static java.lang.String` | `KEY_ALARM_DISABLED`
    `static java.lang.String` | `KEY_ALARM_MAIL`
    `static java.lang.String` | `KEY_ALARM_SEND_TO_LOG`
    `static java.lang.String` | `KEY_API_ENABLE`
    `static java.lang.String` | `KEY_BG_CLIENT_VERSION`
    `static java.lang.String` | `KEY_CONTRACT_PARAMETER_RULE_READ_GROUP`
    `static java.lang.String` | `KEY_CONTRACT_PARAMETER_RULE_READ_USER`
    `static java.lang.String` | `KEY_CONTRACT_PARAMETER_RULE_WRITE_GROUP`
    `static java.lang.String` | `KEY_CONTRACT_PARAMETER_RULE_WRITE_USER`
    `static java.lang.String` | `KEY_MAIL_DEBUG`
    `static java.lang.String` | `KEY_MAIL_ENCODING`
    `static java.lang.String` | `KEY_MAIL_FROM_EMAIL`
    `static java.lang.String` | `KEY_MAIL_FROM_NAME`
    `static java.lang.String` | `KEY_MAIL_SMTP_HOST`
    `static java.lang.String` | `KEY_MAIL_SMTP_LOCALHOST`
    `static java.lang.String` | `KEY_MAIL_SMTP_PORT`
    `static java.lang.String` | `KEY_MAIL_SMTP_PSWD`
    `static java.lang.String` | `KEY_MAIL_SMTP_USER`
    `static java.lang.String` | `KEY_MAIL_TO_EMAIL`
    `static java.lang.String` | `KEY_MAIL_TO_NAME`
    `static java.lang.String` | `KEY_OBJECT_PARAMETER_RULE_READ_GROUP`
    `static java.lang.String` | `KEY_OBJECT_PARAMETER_RULE_READ_USER`
    `static java.lang.String` | `KEY_OBJECT_PARAMETER_RULE_WRITE_GROUP`
    `static java.lang.String` | `KEY_OBJECT_PARAMETER_RULE_WRITE_USER`
    `static java.lang.String` | `KEY_SORM_FTP_HOST`
    `static java.lang.String` | `KEY_SORM_FTP_PASSWORD`
    `static java.lang.String` | `KEY_SORM_FTP_PORT`
    `static java.lang.String` | `KEY_SORM_FTP_USER`
    `static java.lang.String` | `KEY_TEMP_DIR_PATH`
    `static java.lang.String` | `KEY_WEB_API_ENABLE`

    - ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

      `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_API_ENABLE

          public static final boolean DEFAULT_API_ENABLE

      See Also:
        Constant Field Values

    - #### DEFAULT_WEB_API_ENABLE

          public static final boolean DEFAULT_WEB_API_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_CONTRACT_PARAMETER_RULE_WRITE_GROUP

          public static final java.lang.String KEY_CONTRACT_PARAMETER_RULE_WRITE_GROUP

      See Also:
        Constant Field Values

    - #### KEY_CONTRACT_PARAMETER_RULE_WRITE_USER

          public static final java.lang.String KEY_CONTRACT_PARAMETER_RULE_WRITE_USER

      See Also:
        Constant Field Values

    - #### KEY_CONTRACT_PARAMETER_RULE_READ_GROUP

          public static final java.lang.String KEY_CONTRACT_PARAMETER_RULE_READ_GROUP

      See Also:
        Constant Field Values

    - #### KEY_CONTRACT_PARAMETER_RULE_READ_USER

          public static final java.lang.String KEY_CONTRACT_PARAMETER_RULE_READ_USER

      See Also:
        Constant Field Values

    - #### KEY_OBJECT_PARAMETER_RULE_WRITE_GROUP

          public static final java.lang.String KEY_OBJECT_PARAMETER_RULE_WRITE_GROUP

      See Also:
        Constant Field Values

    - #### KEY_OBJECT_PARAMETER_RULE_WRITE_USER

          public static final java.lang.String KEY_OBJECT_PARAMETER_RULE_WRITE_USER

      See Also:
        Constant Field Values

    - #### KEY_OBJECT_PARAMETER_RULE_READ_GROUP

          public static final java.lang.String KEY_OBJECT_PARAMETER_RULE_READ_GROUP

      See Also:
        Constant Field Values

    - #### KEY_OBJECT_PARAMETER_RULE_READ_USER

          public static final java.lang.String KEY_OBJECT_PARAMETER_RULE_READ_USER

      See Also:
        Constant Field Values

    - #### KEY_MAIL_DEBUG

          public static final java.lang.String KEY_MAIL_DEBUG

      See Also:
        Constant Field Values

    - #### KEY_MAIL_SMTP_USER

          public static final java.lang.String KEY_MAIL_SMTP_USER

      See Also:
        Constant Field Values

    - #### KEY_MAIL_SMTP_PSWD

          public static final java.lang.String KEY_MAIL_SMTP_PSWD

      See Also:
        Constant Field Values

    - #### KEY_MAIL_SMTP_HOST

          public static final java.lang.String KEY_MAIL_SMTP_HOST

      See Also:
        Constant Field Values

    - #### KEY_MAIL_SMTP_PORT

          public static final java.lang.String KEY_MAIL_SMTP_PORT

      See Also:
        Constant Field Values

    - #### KEY_MAIL_SMTP_LOCALHOST

          public static final java.lang.String KEY_MAIL_SMTP_LOCALHOST

      See Also:
        Constant Field Values

    - #### KEY_MAIL_FROM_EMAIL

          public static final java.lang.String KEY_MAIL_FROM_EMAIL

      See Also:
        Constant Field Values

    - #### KEY_MAIL_FROM_NAME

          public static final java.lang.String KEY_MAIL_FROM_NAME

      See Also:
        Constant Field Values

    - #### KEY_MAIL_TO_EMAIL

          public static final java.lang.String KEY_MAIL_TO_EMAIL

      See Also:
        Constant Field Values

    - #### KEY_MAIL_TO_NAME

          public static final java.lang.String KEY_MAIL_TO_NAME

      See Also:
        Constant Field Values

    - #### KEY_MAIL_ENCODING

          public static final java.lang.String KEY_MAIL_ENCODING

      See Also:
        Constant Field Values

    - #### KEY_API_ENABLE

          public static final java.lang.String KEY_API_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_WEB_API_ENABLE

          public static final java.lang.String KEY_WEB_API_ENABLE

      See Also:
        Constant Field Values

    - #### KEY_TEMP_DIR_PATH

          public static final java.lang.String KEY_TEMP_DIR_PATH

      See Also:
        Constant Field Values

    - #### KEY_ALARM_MAIL

          public static final java.lang.String KEY_ALARM_MAIL

      See Also:
        Constant Field Values

    - #### KEY_ALARM_DISABLED

          public static final java.lang.String KEY_ALARM_DISABLED

      See Also:
        Constant Field Values

    - #### KEY_ALARM_SEND_TO_LOG

          public static final java.lang.String KEY_ALARM_SEND_TO_LOG

      See Also:
        Constant Field Values

    - #### KEY_BG_CLIENT_VERSION

          public static final java.lang.String KEY_BG_CLIENT_VERSION

      See Also:
        Constant Field Values

    - #### KEY_SORM_FTP_HOST

          public static final java.lang.String KEY_SORM_FTP_HOST

      See Also:
        Constant Field Values

    - #### KEY_SORM_FTP_PORT

          public static final java.lang.String KEY_SORM_FTP_PORT

      See Also:
        Constant Field Values

    - #### KEY_SORM_FTP_USER

          public static final java.lang.String KEY_SORM_FTP_USER

      See Also:
        Constant Field Values

    - #### KEY_SORM_FTP_PASSWORD

          public static final java.lang.String KEY_SORM_FTP_PASSWORD

      See Also:
        Constant Field Values

    - #### JOB_SCHEDULER_NAME_RESERVE

          public static final java.lang.String JOB_SCHEDULER_NAME_RESERVE

      See Also:
        Constant Field Values

    - #### JOB_SCHEDULER_NAME_CONTRACT_PERIOD

          public static final java.lang.String JOB_SCHEDULER_NAME_CONTRACT_PERIOD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()